

#include "BSP_POWER.h"
#include "lptim.h"
#include "ulog.h"

#define LPTIM_CLK 500     // Hz
#define SLEEP_TIME 10     // seconds to wait

void BSP_POWER_Init() {
    uint16_t counter = LPTIM_CLK * SLEEP_TIME;
    HAL_LPTIM_Counter_Start_IT(&hlptim4, counter);
}


void HAL_LPTIM_AutoReloadMatchCallback(LPTIM_HandleTypeDef *hlptim) {


}